org.eclipse.gef.dot.internal.language

## Class DotAstHelper

- java.lang.Object
- - org.eclipse.gef.dot.internal.language.DotAstHelper

    public class DotAstHelper
    extends Object

This class provides helper methods for walking the DOT abstract syntax tree.

### Constructor Summary

Constructors
Constructor and Description
`DotAstHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.gef.dot.internal.language.terminals.ID` `getAttributeValue(org.eclipse.gef.dot.internal.language.dot.DotGraph graph, String name)`
`static org.eclipse.gef.dot.internal.language.terminals.ID` `getAttributeValue(List<org.eclipse.gef.dot.internal.language.dot.AttrList> attrLists, String name)` Returns the value of the first attribute with the give name or `null` if no attribute could be found.
`static org.eclipse.gef.dot.internal.language.terminals.ID` `getAttributeValue(org.eclipse.gef.dot.internal.language.dot.Subgraph subgraph, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotAstHelper

    public DotAstHelper()

### Method Detail

#### getAttributeValue

    public static org.eclipse.gef.dot.internal.language.terminals.ID getAttributeValue(org.eclipse.gef.dot.internal.language.dot.DotGraph graph,
                                                                                       String name)

#### getAttributeValue

    public static org.eclipse.gef.dot.internal.language.terminals.ID getAttributeValue(org.eclipse.gef.dot.internal.language.dot.Subgraph subgraph,
                                                                                       String name)

#### getAttributeValue

    public static org.eclipse.gef.dot.internal.language.terminals.ID getAttributeValue(List<org.eclipse.gef.dot.internal.language.dot.AttrList> attrLists,
                                                                                       String name)

Returns the value of the first attribute with the give name or `null` if no attribute could be found.

Parameters:
  `attrLists` - The `AttrList`s to search.
  `name` - The name of the attribute whose value is to be retrieved.
Returns:
  The attribute value or `null` in case the attribute could not be found.